| QxOrm 1.5.0 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Namespace List
- Namespace Members

Functions
qx::serialization::qt Namespace Reference
QxSerialize : QxOrm library serialization engine based on 'boost::serialization' library

serialize a class registered into QxOrm context using Qt QDataStream serialization engine More...

## Functions
template<class T >
QByteArray | to_byte_array (const T &obj, void *owner=NULL, unsigned int flags=1)
template<class T >
qx_bool | from_byte_array (T &obj, const QByteArray &data, unsigned int flags=1)
template<class T >
QString | to_string (const T &obj, unsigned int flags=1)
template<class T >
qx_bool | from_string (T &obj, const QString &sString, unsigned int flags=1)
template<class T >
qx_bool | to_file (const T &obj, const QString &sFileName, unsigned int flags=1)
template<class T >
qx_bool | from_file (T &obj, const QString &sFileName, unsigned int flags=1)
template<class T >
qx_bool | to_file_compressed (const T &obj, const QString &sFileName, unsigned int flags=1, int iCompressionLevel=-1)
template<class T >
qx_bool | from_file_compressed (T &obj, const QString &sFileName, unsigned int flags=1)

## Detailed Description

serialize a class registered into QxOrm context using Qt QDataStream serialization engine

## Function Documentation

template<class T >

qx_bool qx::serialization::qt::from_byte_array | ( | T & | obj,
|  | const QByteArray & | data,
|  | unsigned int | flags = `1`
| ) |  | `[inline]`

Definition at line 77 of file QxSerializeQDataStream.h.

template<class T >

qx_bool qx::serialization::qt::from_file | ( | T & | obj,
|  | const QString & | sFileName,
|  | unsigned int | flags = `1`
| ) |  | `[inline]`

Definition at line 113 of file QxSerializeQDataStream.h.

template<class T >

qx_bool qx::serialization::qt::from_file_compressed | ( | T & | obj,
|  | const QString & | sFileName,
|  | unsigned int | flags = `1`
| ) |  | `[inline]`

Definition at line 136 of file QxSerializeQDataStream.h.

template<class T >

qx_bool qx::serialization::qt::from_string | ( | T & | obj,
|  | const QString & | sString,
|  | unsigned int | flags = `1`
| ) |  | `[inline]`

Definition at line 97 of file QxSerializeQDataStream.h.

template<class T >

QByteArray qx::serialization::qt::to_byte_array | ( | const T & | obj,
|  | void * | owner = `NULL`,
|  | unsigned int | flags = `1`
| ) |  | `[inline]`

Definition at line 63 of file QxSerializeQDataStream.h.

template<class T >

qx_bool qx::serialization::qt::to_file | ( | const T & | obj,
|  | const QString & | sFileName,
|  | unsigned int | flags = `1`
| ) |  | `[inline]`

Definition at line 101 of file QxSerializeQDataStream.h.

template<class T >

qx_bool qx::serialization::qt::to_file_compressed | ( | const T & | obj,
|  | const QString & | sFileName,
|  | unsigned int | flags = `1`,
|  | int | iCompressionLevel = `-1`
| ) |  | `[inline]`

Definition at line 123 of file QxSerializeQDataStream.h.

template<class T >

QString qx::serialization::qt::to_string | ( | const T & | obj,
|  | unsigned int | flags = `1`
| ) |  | `[inline]`

Definition at line 93 of file QxSerializeQDataStream.h.